Bug 508778 - Defaults of Y/N questions not honored during ovirt-config-setup
Defaults of Y/N questions not honored during ovirt-config-setup
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
:
Depends On:
Blocks: 508401
  Show dependency treegraph
 
Reported: 2009-06-29 15:59 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-18 09:16:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2009-06-29 15:59:31 EDT
Description of problem:
Currently, there are a number of places where Y/N questions are asked.  The
general format that I've seen is "Question... (Y/n)?  In most situation, the
capital letter is the default should no input be given.  This is not working as
expected in the couple places I've noticed.  See Additional Info for places
that I've noticed.  

Version-Release number of selected component (if applicable):
5.4-2.0.99.8.3

How reproducible:
Always

Steps to Reproduce:
1. Go through actions to get to a Y/N question
2. Note which is capitalized
3. hit Enter without any input

Actual results:
Question is repeated

Expected results:
Default should be used

Additional info:
This issue was seen at
1.  Apply storage configuration
2.  Local Install and Reboot

A standard function might be the way to go to solve this.  In both of the cases
above, the Y is the apparent default option.  I would think that either we want
no default and require an answer (which is the current functionality) or
default to N.
Comment 1 Darryl L. Pierce 2009-07-09 11:37:05 EDT
This patch is pushed.

Note You need to log in before you can comment on or make changes to this bug.